rpm: rpmkeys.c File Reference

rpm 4.12.0.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Enumerations | Functions | Variables
rpmkeys.c File Reference
`#include "system.h"`
`#include <popt.h>`
`#include <rpm/rpmcli.h>`
`#include "cliutils.h"`
`#include "debug.h"`
Include dependency graph for rpmkeys.c:

Go to the source code of this file.

## Enumerations
enum | modes { MODE_BUILD = (1 << 4), MODE_REBUILD = (1 << 5), MODE_RECOMPILE = (1 << 8), MODE_TARBUILD = (1 << 11), MODE_INITDB = (1 << 0), MODE_REBUILDDB = (1 << 1), MODE_VERIFYDB = (1 << 2), MODE_EXPORTDB = (1 << 3), MODE_IMPORTDB = (1 << 4), MODE_CHECKSIG = (1 << 0), MODE_IMPORTKEY = (1 << 1), MODE_DELKEY = (1 << 2), MODE_LISTKEY = (1 << 3), MODE_QUERY = (1 << 0), MODE_VERIFY = (1 << 3), MODE_INSTALL = (1 << 1), MODE_ERASE = (1 << 2), MODE_UNKNOWN = 0, MODE_ADDSIGN = (1 << 0), MODE_RESIGN = (1 << 1), MODE_DELSIGN = (1 << 2), MODE_UNKNOWN = 0, MODE_QUERY = (1 << 0), MODE_PARSE = (1 << 1) }

## Functions
int | main (int argc, char *argv[])

## Variables
char ** | environ = NULL
static int | mode = 0
static int | test = 0
static struct poptOption | keyOptsTable []
static struct poptOption | optionsTable []

## Enumeration Type Documentation

enum modes

Enumerator
MODE_BUILD |
MODE_REBUILD |
MODE_RECOMPILE |
MODE_TARBUILD |
MODE_INITDB |
MODE_REBUILDDB |
MODE_VERIFYDB |
MODE_EXPORTDB |
MODE_IMPORTDB |
MODE_CHECKSIG |
MODE_IMPORTKEY |
MODE_DELKEY |
MODE_LISTKEY |
MODE_QUERY |
MODE_VERIFY |
MODE_INSTALL |
MODE_ERASE |
MODE_UNKNOWN |
MODE_ADDSIGN |
MODE_RESIGN |
MODE_DELSIGN |
MODE_UNKNOWN |
MODE_QUERY |
MODE_PARSE |

Definition at line 12 of file rpmkeys.c.

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 49 of file rpmkeys.c.

References _, argerror(), MODE_CHECKSIG, MODE_DELKEY, MODE_IMPORTKEY, MODE_LISTKEY, printUsage(), rpmcliFini(), rpmcliImportPubkeys(), rpmcliInit(), rpmcliRootDir, rpmcliVerifySignatures(), RPMTRANS_FLAG_TEST, rpmtsCreate(), rpmtsFlags(), rpmtsFree(), rpmtsSetFlags(), and rpmtsSetRootDir().

## Variable Documentation

char** environ = NULL

Definition at line 9 of file rpmkeys.c.

struct poptOption keyOptsTable[]
| static

Initial value:
= {
{ "checksig", 'K', (POPT_ARG_VAL|POPT_ARGFLAG_OR), &mode, MODE_CHECKSIG,
"verify package signature(s)" , NULL },
{ "import", '\0', (POPT_ARG_VAL|POPT_ARGFLAG_OR), &mode, MODE_IMPORTKEY,
"import an armored public key" , NULL },
{ "test", '\0', POPT_ARG_NONE, &test, 0,
"don't import, but tell if it would work or not" , NULL },
POPT_TABLEEND
}
MODE_IMPORTKEY
Definition: rpmkeys.c:14
mode
static int mode
Definition: rpmkeys.c:19
test
static int test
Definition: rpmkeys.c:20
MODE_CHECKSIG
Definition: rpmkeys.c:13

Definition at line 22 of file rpmkeys.c.

int mode = 0
| static

Definition at line 19 of file rpmkeys.c.

struct poptOption optionsTable[]
| static

Initial value:
= {
{ NULL, '\0', POPT_ARG_INCLUDE_TABLE, keyOptsTable, 0,
"Keyring options:" , NULL },
{ NULL, '\0', POPT_ARG_INCLUDE_TABLE, rpmcliAllPoptTable, 0,
"Common options for all rpm modes and executables:" , NULL },
POPT_AUTOALIAS
POPT_AUTOHELP
POPT_TABLEEND
}
keyOptsTable
static struct poptOption keyOptsTable[]
Definition: rpmkeys.c:22
rpmcliAllPoptTable
struct poptOption rpmcliAllPoptTable[]
Popt option table for options shared by all modes and executables.

Definition at line 38 of file rpmkeys.c.

int test = 0
| static

Definition at line 20 of file rpmkeys.c.